For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a customer

Retrieve the details for a single customer by their customer ID.

get
Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate API token.

Path parameters
idstringRequired

The customer ID.

Example: 1c6af60by54hzdmgxy5ab4ypw0
Query parameters
fields[customers]stringOptional

Available values are name, firstName, lastName, externalId, email, registeredAt, approvedAt, bannedAt, createdAt. You can include multiple values by separating them with a comma.

Responses
200

CustomerResource

application/vnd.api+json
get/customers/{id}
GET /v1/customers/{id} HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "91x2qv89d151xe74aydt6m562w",
    "type": "customers",
    "attributes": {
      "name": "Lloyd Boehm",
      "firstName": "Lloyd",
      "lastName": "Boehm",
      "externalId": "1326820289",
      "email": "missouri.schneider@example.net",
      "registeredAt": "2026-07-22T18:29:55.000000Z",
      "approvedAt": "2026-07-22T18:29:55.000000Z",
      "bannedAt": null,
      "createdAt": "2026-07-29T18:29:55.000000Z"
    }
  }
}

Last updated